//  Persistance of Vision Raytracer V3.1
//  World definition file.
//
//  Contains 4 lights, 4 materials and 10 primitives.
//
//  This file was generated for POV-Ray V3.1 by
//  Moray V3.1 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//  Date : 03/15/1999    (15.03.1999)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

default {
  texture {
    pigment { rgb <1,0,0> }
  }
}

/* // Scene Comment

This scene was created with Moray For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
  photons {
    gather 20,100
    radius .05,2,.05
    autostop 0
  }
}     




background { color <0.000,0.000,0.000> }

camera {  //  Camera StdCam
  location  <     -2.500,      -5.700,       6.800>
  direction <        0.0,         0.0,      1.5299> // Aperture is 0.63 degrees
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.33333,         0.0,         0.0> // Aspect ratio
  look_at   <      1.601,       0.055,       1.036>
}

//    Other cameras are commented out.
/*
camera {  //  Camera SpotCam001
  location  <    -11.000,       0.500,       5.800> // Attached to Spotlight001
  direction <        0.0,         0.0,      0.9174> // Aperture is 1.00 degrees
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.33333,         0.0,         0.0> // Aspect ratio
  look_at   <    -10.073,       0.500,       5.425> // Following Spotlight001
}

*/

//
// *******  L I G H T S *******
//

light_source {   // Light002
  <-18.700, 9.500, 13.000>
  color rgb <1.000, 1.000, 1.000>
  photons{
    reflection on
    refraction on
  }
}

light_source {   // Spotlight Spotlight001
  <-11.000, 0.500, 5.800>
  color rgb <1.000, 1.000, 1.000>
  spotlight
    point_at  <-9.146, 0.500, 5.051>
    falloff    28.592  // outer radius (in deg)
    radius     17.195  // inner radius
    tightness  0.000    
    photons{
   reflection on
    refraction on
  }
}

light_source {   // Light001
  <-14.000, -4.200, 6.900>
  color rgb <1.000, 1.000, 1.000> 
  photons{
   reflection on
    refraction on
  }
}

light_source {   // Light1
  <-6.700, -9.700, 7.300>
  color rgb <1.000, 1.000, 1.000>     
  photons{
    reflection on
    refraction on
  }
}


//
// ********  MATERIALS  *******
//

#include "untitled.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//

cylinder { // Cylndr003
  <0,0,1>, <0,0,0>, 1 
  material {
    RedMTex
  }
  scale <0.2, 0.2, 100.0>
  rotate <-90.0, 0.0, -90.0>
  translate  <-44.3, 0.5, 0.0>
}






cylinder { // Cylndr002
  <0,0,1>, <0,0,0>, 1 
  material {
    Glass_1
  }
  photons {
    density .02
  reflection on
    refraction on
  }
  rotate <0.0, -90.0, 0.0>
  translate  <3.5, -1.0, 1.0>
}


cylinder { // Cylndr001
  <0,0,1>, <0,0,0>, 1 
  material {
    Glass
  }
  rotate <0.0, -90.0, 0.0>
  translate  <3.5, 2.0, 1.0>
}




sphere { // Sphere002
  <0,0,0>,1
  material {
    Glass_1
  }
  photons {
    density .02
    reflection on
    refraction on
  }

  translate  <0.0, -1.1, 1.0>
}


sphere { // Sphere001
  <0,0,0>,1
  material {
    Glass
  }
  translate  <0.0, 2.0, 1.0>
}


plane { // Plane001
  z,0
  material {
    Material1
  }
}




